#-----------------------------------------------------------------------------
#
# Check for disks exported to the world
#

&pcheck('NFS exports');
open(SHOW, "$showmount -e |");
@tmp = <SHOW>;
close(SHOW);

foreach $tmp (@tmp) {
  chop $tmp;
  @tmp2 = split(/\s+/, $tmp);
  if ($tmp2[1] eq '(everyone)') {
    $mount = 1;
    &report("DANGER: $tmp2[0] is exported to the world.\n\n");
    }
  }

if ($mount) { &failed; }
else {
  &report("INFO:  There are no filesystems exported to the world.\n");
  &passed;
  }

exit 0;

